Copyright © https://mongoose-os.com

Mongoose OS Forum

frame
ATTENTION! This forum has moved to:

https://community.mongoose-os.com

Do not post any new messages.

Inconsistency between mos tool for Windows and Debian

nliviunliviu Romania
edited September 2017 in Mongoose Binary

Windows 7

 ../mos.exe --version
The Mongoose OS command line tool
Version: 1.15
Build ID: 20170907-130858/1.15@8f8f002d+
Update channel: release

Handling lib "http-server"...
The --lib flag was not given for it, checking repository
Repository "C:\\Users\\xxx\\.mos\\libs-1.15\\http-server-latest" does not exist, cloning...
...
The flag --repo is not given, going to use mongoose-os repository
Repository "C:\\Users\\xxx\\.mos\\modules-1.15\\mongoose-os-latest" does not exist, cloning...

Debian 9

 mos --version
The Mongoose OS command line tool
Version: 1.15
Build ID: 20170907-130858/1.15@8f8f002d+
Update channel: release

Handling lib "http-server"...
The --lib flag was not given for it, checking repository
Repository "/home/xxx/.mos/libs-1.15/http-server-1.15" does not exist, cloning...
...
The flag --repo is not given, going to use mongoose-os repository
Repository "/home/xxx/.mos/modules-1.15/mongoose-os-1.15" does not exist, cloning...

As you can see the Windows version pulls the latest version for libs and modules, while the Debian pulls the mos tool versions.

Comments

  • SergeySergey Dublin, Ireland

    Looking at this ..

  • Can't reproduce. My guess is that you're building different apps on Debian and Windows, and on Windows you don't have these lines in mos.yml:

    libs_version: ${mos.version}
    modules_version: ${mos.version}
    mongoose_os_version: ${mos.version}
    

    And thus mos uses latest versions of everything.

  • You are right.
    I've had libs_version, modules_version and mongoose_os_version commented out on Windows :(
    Sorry for the noise :(

Sign In or Register to comment.